﻿// Copyright (c) SimpleIdServer. All rights reserved.
// Licensed under the Apache License, Version 2.0. See LICENSE in the project root for license information.
using Microsoft.EntityFrameworkCore.Cassandra.Storage.Internal;
using Microsoft.EntityFrameworkCore.Design;
using Microsoft.EntityFrameworkCore.Migrations.Design;
using Microsoft.EntityFrameworkCore.Storage;
using Microsoft.Extensions.DependencyInjection;

namespace Microsoft.EntityFrameworkCore.Cassandra.Design.Internal
{
    public class CassandraDesignTimeServices : IDesignTimeServices
    {
        public void ConfigureDesignTimeServices(IServiceCollection serviceCollection)
        {
            serviceCollection.AddSingleton<ICSharpMigrationOperationGenerator, CSharpCassandraMigrationOperationGenerator>();
            serviceCollection.AddSingleton<ICSharpSnapshotGenerator, CSharpCassandraSnapshotGenerator>();
            serviceCollection.AddSingleton<IRelationalTypeMappingSource, CassandraTypeMappingSource>();
        }
    }
}
